Debian Squeeze on the NSLU2

Currently the only downloadable version of Debian that successfully installs on the NSLU2 is Lenny. However, you can run Squeeze on the NSLU2 if you follow the instructions below.

  1. Download the Windows utility to communicate with the device (here)
  2. Download the Debian 5.0 Lenny release from (here)
  3. Follow these instructions (here)
  4. Now change the source.list file to match the following (changing the two letter country code for the closest to you – you can find them here)
    deb http://ftp.uk.debian.org/debian/ squeeze main contrib non-free
    deb-src http://ftp.uk.debian.org/debian/ squeeze main contrib non-free
    deb http://security.debian.org/ squeeze/updates main
    deb-src http://security.debian.org/ squeeze/updates main
  5. Run the following commands
    sudo apt-get update
    sudo apt-get install apt dpkg apt-get
    sudo apt-get dist-upgrade

You should now be running Debian Squeeze.

Leave a Reply